﻿

namespace ExportCegidParam.Outils
{
    public class Process
    {
        public static void Execute(string fileName, string argument)
        {
            using (System.Diagnostics.Process proc = new System.Diagnostics.Process
            {
                StartInfo = new System.Diagnostics.ProcessStartInfo
                {
                    FileName = @fileName,
                    Arguments = @argument,
                    UseShellExecute = true,
                    RedirectStandardOutput = false,
                    CreateNoWindow = true,
                    WindowStyle = System.Diagnostics.ProcessWindowStyle.Normal
                }
            })
            {
                proc.Start();
                proc.WaitForExit();
                proc.Close();
                proc.Dispose();
            }
        }
    }
}
