﻿using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Diagnostics;

namespace ExportCegidParam
{
    
    class Program
    {

        static void Main(string[] args)
        {
            Console.WriteLine("Début de l'application");
            try
            {
                Console.WriteLine("\nInitialisation de l'environnement de travail ...");
                BLL.MgtExport.getInstance(args);
                Console.WriteLine("Succès");
                Console.WriteLine("\n\nDébut Export des données");
                BLL.MgtExport.getInstance().ExportVersFichier();
                Console.WriteLine("\n\nSuccès {0} export effectué sur les {1} parametrages",BLL.MgtExport.getInstance().ParametrageCompteur, BLL.MgtExport.getInstance().ParametrageTotal);
            }
            catch (Exception ex)
            {
                FILE.Log.WriteLine(ex.Message);
                Console.WriteLine("\n\n==================================================================");
                Console.WriteLine("> Une Erreur est survenue lors de l'execution du programme, veuillez vérifier le fichier de log !");
                Console.WriteLine("> " + ex.Message);
                Console.WriteLine("==================================================================");
            }
            finally
            {
                Console.WriteLine("\n\nFin de l'application -> Fermeture");
                System.Threading.Thread.Sleep(new TimeSpan(0,0,5));
            }
        }
    }
}
