﻿using System;
using ExportCegidParam.BO;

namespace Serialisation
{
    public class Serialiseur
    {
 
        internal static void getSerializer(string pathfile, DataExport _listData, Parametrage parametrage)
        {
            switch (parametrage.Extention)
            {
                case TypeExtention.dat:
                    Binary.SerialiseurBinaire.getInstance().serialiser<DataExport>(_listData, pathfile);
                    break;
                case TypeExtention.soap:
                    SOAP.SerialiseurSoap.getInstance().Serialiser<DataExport>(_listData,pathfile);
                    break;
                case TypeExtention.xls:
                    EXCEL.SerialiseurExcel.getInstance().Serialiser(pathfile, _listData, parametrage);
                    break;
                case TypeExtention.csv:
                    CSV.SerialiseurCSV.getInstance().Serialiser(pathfile, _listData, parametrage);
                    break;
                case TypeExtention.txt:
                    CSV.SerialiseurCSV.getInstance().Serialiser(pathfile, _listData, parametrage);
                    break;
                case TypeExtention.xml:
                    XML.SerialiseurXML.getInstance().Serialiser<DataExport>(_listData, pathfile);
                    break;
                default:
                    throw new ApplicationException(string.Format("Le format {0} n'est pas géré", parametrage.Extention));
            }
        }
    }


}
